sc::BcastStateRecv(3)

NAME
sc::BcastStateRecv - BcastStateRecv does the receive part of a broadcast of an object to all nodes.

SYNOPSIS

#include <mstate.h>

Inherits sc::MsgStateRecv.

  Public Methods
BcastStateRecv (const Ref< MessageGrp > &, int source=0)
Create the BcastStateRecv.
void source (int s)
Set the source node.

  Protected Methods
void next_buffer ()
Specializations must implement next_buffer().

  Protected Attributes
int source_

DETAILED DESCRIPTION

BcastStateRecv does the receive part of a broadcast of an object to all nodes.

Only one node uses a BcastStateSend and the rest must use a BcastStateRecv.

AUTHOR

Generated automatically by Doxygen for MPQC from the source code.